Fix some jshint warnings
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     actionmailer (4.2.8)
6       actionpack (= 4.2.8)
7       actionview (= 4.2.8)
8       activejob (= 4.2.8)
9       mail (~> 2.5, >= 2.5.4)
10       rails-dom-testing (~> 1.0, >= 1.0.5)
11     actionpack (4.2.8)
12       actionview (= 4.2.8)
13       activesupport (= 4.2.8)
14       rack (~> 1.6)
15       rack-test (~> 0.6.2)
16       rails-dom-testing (~> 1.0, >= 1.0.5)
17       rails-html-sanitizer (~> 1.0, >= 1.0.2)
18     actionpack-page_caching (1.1.0)
19       actionpack (>= 4.0.0, < 6)
20     actionview (4.2.8)
21       activesupport (= 4.2.8)
22       builder (~> 3.1)
23       erubis (~> 2.7.0)
24       rails-dom-testing (~> 1.0, >= 1.0.5)
25       rails-html-sanitizer (~> 1.0, >= 1.0.3)
26     activejob (4.2.8)
27       activesupport (= 4.2.8)
28       globalid (>= 0.3.0)
29     activemodel (4.2.8)
30       activesupport (= 4.2.8)
31       builder (~> 3.1)
32     activerecord (4.2.8)
33       activemodel (= 4.2.8)
34       activesupport (= 4.2.8)
35       arel (~> 6.0)
36     activesupport (4.2.8)
37       i18n (~> 0.7)
38       minitest (~> 5.1)
39       thread_safe (~> 0.3, >= 0.3.4)
40       tzinfo (~> 1.1)
41     addressable (2.5.0)
42       public_suffix (~> 2.0, >= 2.0.2)
43     arel (6.0.4)
44     ast (2.3.0)
45     autoprefixer-rails (6.7.5)
46       execjs
47     bigdecimal (1.1.0)
48     builder (3.2.3)
49     capybara (2.12.1)
50       addressable
51       mime-types (>= 1.16)
52       nokogiri (>= 1.3.3)
53       rack (>= 1.0.0)
54       rack-test (>= 0.5.4)
55       xpath (~> 2.0)
56     climate_control (0.1.0)
57     cliver (0.3.2)
58     cocaine (0.5.8)
59       climate_control (>= 0.0.3, < 1.0)
60     coffee-rails (4.1.1)
61       coffee-script (>= 2.2.0)
62       railties (>= 4.0.0, < 5.1.x)
63     coffee-script (2.4.1)
64       coffee-script-source
65       execjs
66     coffee-script-source (1.12.2)
67     colorize (0.8.1)
68     composite_primary_keys (8.1.4)
69       activerecord (~> 4.2.0)
70     concurrent-ruby (1.0.4)
71     coveralls (0.8.19)
72       json (>= 1.8, < 3)
73       simplecov (~> 0.12.0)
74       term-ansicolor (~> 1.3)
75       thor (~> 0.19.1)
76       tins (~> 1.6)
77     crack (0.4.3)
78       safe_yaml (~> 1.0.0)
79     crass (1.0.2)
80     dalli (2.7.6)
81     deadlock_retry (1.2.0)
82     docile (1.1.5)
83     dynamic_form (1.1.4)
84     erubis (2.7.0)
85     execjs (2.7.0)
86     exifr (1.2.5)
87     factory_girl (4.8.0)
88       activesupport (>= 3.0.0)
89     factory_girl_rails (4.8.0)
90       factory_girl (~> 4.8.0)
91       railties (>= 3.0.0)
92     faraday (0.10.1)
93       multipart-post (>= 1.2, < 3)
94     fspath (3.0.3)
95     geoip (1.6.3)
96     globalid (0.3.7)
97       activesupport (>= 4.1.0)
98     hashdiff (0.3.2)
99     hashie (3.5.5)
100     htmlentities (4.3.4)
101     http_accept_language (2.0.5)
102     i18n (0.8.1)
103     i18n-js (3.0.0.rc15)
104       i18n (~> 0.6, >= 0.6.6)
105     image_optim (0.24.2)
106       exifr (~> 1.2, >= 1.2.2)
107       fspath (~> 3.0)
108       image_size (~> 1.5)
109       in_threads (~> 1.3)
110       progress (~> 3.0, >= 3.0.1)
111     image_optim_rails (0.2.0)
112       image_optim (~> 0.24.0)
113       rails
114       sprockets
115     image_size (1.5.0)
116     in_threads (1.3.1)
117     jquery-rails (4.2.2)
118       rails-dom-testing (>= 1, < 3)
119       railties (>= 4.2.0)
120       thor (>= 0.14, < 2.0)
121     jshint (1.5.0)
122       execjs (>= 1.4.0)
123       multi_json (~> 1.0)
124       therubyracer (~> 0.12.1)
125     json (2.0.3)
126     jsonify (0.3.1)
127       multi_json (~> 1.0)
128     jsonify-rails (0.3.2)
129       actionpack
130       jsonify (< 0.4.0)
131     jwt (1.5.6)
132     kgio (2.11.0)
133     konacha (4.0.0)
134       actionpack (>= 4.1, < 5)
135       capybara
136       colorize
137       railties (>= 4.1, < 5)
138       sprockets (>= 2, < 4)
139       sprockets-rails (>= 2, < 4)
140       tilt
141     libv8 (3.16.14.17)
142     libxml-ruby (3.0.0)
143     logstash-event (1.2.02)
144     logstasher (1.1.1)
145       activerecord (>= 4.0)
146       activesupport (>= 4.0)
147       logstash-event (~> 1.2.0)
148       request_store
149     loofah (2.0.3)
150       nokogiri (>= 1.5.9)
151     mail (2.6.4)
152       mime-types (>= 1.16, < 4)
153     mime-types (3.1)
154       mime-types-data (~> 3.2015)
155     mime-types-data (3.2016.0521)
156     mimemagic (0.3.0)
157     mini_portile2 (2.1.0)
158     minitest (5.10.1)
159     multi_json (1.12.1)
160     multi_xml (0.6.0)
161     multipart-post (2.0.0)
162     nokogiri (1.7.0.1)
163       mini_portile2 (~> 2.1.0)
164     nokogumbo (1.4.9)
165       nokogiri
166     oauth (0.4.7)
167     oauth-plugin (0.5.1)
168       multi_json
169       oauth (~> 0.4.4)
170       oauth2 (>= 0.5.0)
171       rack
172     oauth2 (1.3.0)
173       faraday (>= 0.8, < 0.11)
174       jwt (~> 1.0)
175       multi_json (~> 1.3)
176       multi_xml (~> 0.5)
177       rack (>= 1.2, < 3)
178     omniauth (1.6.1)
179       hashie (>= 3.4.6, < 3.6.0)
180       rack (>= 1.6.2, < 3)
181     omniauth-facebook (4.0.0)
182       omniauth-oauth2 (~> 1.2)
183     omniauth-github (1.2.3)
184       omniauth (~> 1.5)
185       omniauth-oauth2 (>= 1.4.0, < 2.0)
186     omniauth-google-oauth2 (0.4.1)
187       jwt (~> 1.5.2)
188       multi_json (~> 1.3)
189       omniauth (>= 1.1.1)
190       omniauth-oauth2 (>= 1.3.1)
191     omniauth-mediawiki (0.0.3)
192       jwt (~> 1.0)
193       omniauth-oauth (~> 1.0)
194     omniauth-oauth (1.1.0)
195       oauth
196       omniauth (~> 1.0)
197     omniauth-oauth2 (1.4.0)
198       oauth2 (~> 1.0)
199       omniauth (~> 1.2)
200     omniauth-openid (1.0.1)
201       omniauth (~> 1.0)
202       rack-openid (~> 1.3.1)
203     omniauth-windowslive (0.0.12)
204       multi_json (~> 1.12)
205       omniauth-oauth2 (~> 1.4)
206     paperclip (4.3.7)
207       activemodel (>= 3.2.0)
208       activesupport (>= 3.2.0)
209       cocaine (~> 0.5.5)
210       mime-types
211       mimemagic (= 0.3.0)
212     parser (2.4.0.0)
213       ast (~> 2.2)
214     pg (0.19.0)
215     poltergeist (1.13.0)
216       capybara (~> 2.1)
217       cliver (~> 0.3.1)
218       websocket-driver (>= 0.2.0)
219     powerpack (0.1.1)
220     progress (3.3.1)
221     psych (2.2.4)
222     public_suffix (2.0.5)
223     r2 (0.2.6)
224     rack (1.6.5)
225     rack-cors (0.4.1)
226     rack-openid (1.3.1)
227       rack (>= 1.1.0)
228       ruby-openid (>= 2.1.8)
229     rack-test (0.6.3)
230       rack (>= 1.0)
231     rack-uri_sanitizer (0.0.2)
232     rails (4.2.8)
233       actionmailer (= 4.2.8)
234       actionpack (= 4.2.8)
235       actionview (= 4.2.8)
236       activejob (= 4.2.8)
237       activemodel (= 4.2.8)
238       activerecord (= 4.2.8)
239       activesupport (= 4.2.8)
240       bundler (>= 1.3.0, < 2.0)
241       railties (= 4.2.8)
242       sprockets-rails
243     rails-deprecated_sanitizer (1.0.3)
244       activesupport (>= 4.2.0.alpha)
245     rails-dom-testing (1.0.8)
246       activesupport (>= 4.2.0.beta, < 5.0)
247       nokogiri (~> 1.6)
248       rails-deprecated_sanitizer (>= 1.0.1)
249     rails-html-sanitizer (1.0.3)
250       loofah (~> 2.0)
251     rails-i18n (4.0.9)
252       i18n (~> 0.7)
253       railties (~> 4.0)
254     railties (4.2.8)
255       actionpack (= 4.2.8)
256       activesupport (= 4.2.8)
257       rake (>= 0.8.7)
258       thor (>= 0.18.1, < 2.0)
259     rainbow (2.2.1)
260     rake (12.0.0)
261     redcarpet (3.4.0)
262     ref (2.0.0)
263     request_store (1.3.2)
264     rinku (2.0.2)
265     rotp (3.3.0)
266     rubocop (0.47.1)
267       parser (>= 2.3.3.1, < 3.0)
268       powerpack (~> 0.1)
269       rainbow (>= 1.99.1, < 3.0)
270       ruby-progressbar (~> 1.7)
271       unicode-display_width (~> 1.0, >= 1.0.1)
272     ruby-openid (2.7.0)
273     ruby-progressbar (1.8.1)
274     safe_yaml (1.0.4)
275     sanitize (4.4.0)
276       crass (~> 1.0.2)
277       nokogiri (>= 1.4.4)
278       nokogumbo (~> 1.4.1)
279     sass (3.4.23)
280     sass-rails (5.0.6)
281       railties (>= 4.0.0, < 6)
282       sass (~> 3.1)
283       sprockets (>= 2.8, < 4.0)
284       sprockets-rails (>= 2.0, < 4.0)
285       tilt (>= 1.1, < 3)
286     secure_headers (3.6.1)
287       useragent
288     simplecov (0.12.0)
289       docile (~> 1.1.0)
290       json (>= 1.8, < 3)
291       simplecov-html (~> 0.10.0)
292     simplecov-html (0.10.0)
293     sprockets (3.7.1)
294       concurrent-ruby (~> 1.0)
295       rack (> 1, < 3)
296     sprockets-rails (3.2.0)
297       actionpack (>= 4.0)
298       activesupport (>= 4.0)
299       sprockets (>= 3.0.0)
300     term-ansicolor (1.4.0)
301       tins (~> 1.0)
302     therubyracer (0.12.3)
303       libv8 (~> 3.16.14.15)
304       ref
305     thor (0.19.4)
306     thread_safe (0.3.6)
307     tilt (2.0.6)
308     timecop (0.8.1)
309     tins (1.13.2)
310     tzinfo (1.2.2)
311       thread_safe (~> 0.1)
312     uglifier (3.0.4)
313       execjs (>= 0.3.0, < 3)
314     unicode-display_width (1.1.3)
315     useragent (0.16.8)
316     validates_email_format_of (1.6.3)
317       i18n
318     vendorer (0.1.16)
319     webmock (2.3.2)
320       addressable (>= 2.3.6)
321       crack (>= 0.3.2)
322       hashdiff
323     websocket-driver (0.6.5)
324       websocket-extensions (>= 0.1.0)
325     websocket-extensions (0.1.2)
326     xpath (2.0.0)
327       nokogiri (~> 1.3)
328
329 PLATFORMS
330   ruby
331
332 DEPENDENCIES
333   SystemTimer (>= 1.1.3)
334   actionpack-page_caching
335   autoprefixer-rails
336   bigdecimal (~> 1.1.0)
337   coffee-rails (~> 4.1.0)
338   composite_primary_keys (~> 8.1.0)
339   coveralls
340   dalli
341   deadlock_retry (>= 1.2.0)
342   dynamic_form
343   factory_girl_rails
344   faraday
345   geoip
346   htmlentities
347   http_accept_language (~> 2.0.0)
348   i18n-js (>= 3.0.0.rc10)
349   image_optim_rails
350   jquery-rails
351   jshint
352   json
353   jsonify-rails
354   kgio
355   konacha
356   libxml-ruby (>= 2.0.5)
357   logstasher
358   minitest (~> 5.1)
359   oauth-plugin (>= 0.5.1)
360   omniauth
361   omniauth-facebook
362   omniauth-github
363   omniauth-google-oauth2 (>= 0.2.7)
364   omniauth-mediawiki (>= 0.0.3)
365   omniauth-openid
366   omniauth-windowslive
367   paperclip (~> 4.0)
368   pg
369   poltergeist
370   psych
371   r2
372   rack-cors
373   rack-uri_sanitizer
374   rails (= 4.2.8)
375   rails-i18n (~> 4.0.0)
376   redcarpet
377   rinku (>= 1.2.2)
378   rotp
379   rubocop
380   sanitize
381   sass-rails (~> 5.0)
382   secure_headers
383   timecop
384   uglifier (>= 1.3.0)
385   validates_email_format_of (>= 1.5.1)
386   vendorer
387   webmock
388
389 BUNDLED WITH
390    1.12.5